import 'package:example/ui/count/count_page_model.dart';
import 'package:example/ui/count/widgets/counter_view.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:suga_core/suga_core.dart';

class CountPage extends StatefulWidget {
  @override
  _CountPageState createState() => _CountPageState();
}

class _CountPageState extends BaseViewState<CountPage, CountPageModel> {
  @override
  CountPageModel createViewModel() => CountPageModel();

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text("Test"),
      ),
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: <Widget>[
            Obx(
              () => Text(
                viewModel.description.toString(),
              ),
            ),
            Obx(
              () => CounterView(
                counter: viewModel.count.value,
              ),
            ),
          ],
        ),
      ),
      floatingActionButton: FloatingActionButton(
        onPressed: () {
          viewModel.increase();
        },
        tooltip: 'Increment',
        child: Icon(Icons.add),
      ), // This trailing comma makes auto-formatting nicer for build methods.
    );
  }
}
